petsc-3.10.3 2018-12-18
Report Typos and Errors

# MatRetrieveValues

Retrieves the copy of the matrix values; this allows, for example, reuse of the linear part of a Jacobian, while recomputing the nonlinear portion.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRetrieveValues(Mat mat)

Collect on Mat

### Input Parameters

mat -the matrix (currently only AIJ matrices support this option)

### See Also

MatStoreValues()

### Level

advanced

### Location

src/mat/impls/aij/seq/aij.c

### Implementations

MatRetrieveValues_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatRetrieveValues_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatRetrieveValues_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatRetrieveValues_SeqBAIJ in src/mat/impls/baij/seq/baij.c
MatRetrieveValues_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatRetrieveValues_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
MatRetrieveValues_MPISELL in src/mat/impls/sell/mpi/mpisell.c
MatRetrieveValues_SeqSELL in src/mat/impls/sell/seq/sell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages